xmonad-contrib-0.10: Third party extensions for xmonad

Portability | portable
Stability | unstable
Maintainer | <byorgey@gmail.com>

XMonad.Layout.Spacing

Contents

- Usage

Description

Add a configurable amount of space around windows.

Synopsis

- spacing :: Int -> l a -> ModifiedLayout Spacing l a
- data Spacing a

# Usage

You can use this module by importing it into your `~/.xmonad/xmonad.hs` file:

     import XMonad.Layout.Spacing

and modifying your layoutHook as follows (for example):

     layoutHook = spacing 2 $ Tall 1 (3/100) (1/2)
                          -- put a 2px space around every window

spacing :: Int -> l a -> ModifiedLayout Spacing l a

Surround all windows by a certain number of pixels of blank space.

data Spacing a

Instances

LayoutModifier Spacing a |
Read (Spacing a) |
Show (Spacing a) |